Skip to main content
POST
https://almanac-backend-83vc.onrender.com
/
v1
/
onboarding
Start Onboarding
curl --request POST \
  --url https://almanac-backend-83vc.onrender.com/v1/onboarding \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://almanac-backend-83vc.onrender.com/v1/onboarding"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://almanac-backend-83vc.onrender.com/v1/onboarding', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "overview": {
    "access": [
      {
        "role": "<string>",
        "workspace_id": "<string>",
        "can_manage_billing": false,
        "can_manage_developers": false,
        "can_manage_members": false
      }
    ],
    "session": {
      "user": {
        "display_name": "<string>",
        "email": "<string>",
        "user_id": "<string>",
        "avatar_url": ""
      },
      "workspaces": [
        {
          "name": "<string>",
          "role": "<string>",
          "slug": "<string>",
          "workspace_id": "<string>",
          "permissions": [
            "<string>"
          ]
        }
      ],
      "workspace_id": "<string>"
    },
    "wikis": [
      {
        "slug": "<string>",
        "title": "<string>",
        "wiki_id": "<string>",
        "workspace_id": "<string>",
        "description": ""
      }
    ]
  },
  "workspace": {
    "name": "<string>",
    "role": "<string>",
    "slug": "<string>",
    "workspace_id": "<string>",
    "permissions": [
      "<string>"
    ]
  },
  "workspace_created": true
}
{
  "error": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Successful Response

overview
HostedOverview · object
required
workspace
HostedWorkspace · object
required
workspace_created
boolean
required